/*
int main(int argc, char* argv[]) {
  TApplication* rootapp = new TApplication("example",&argc, argv);
  TRandom1* myrand = new TRandom1();
  TH1F* myhist = new TH1F("stats","",100,0,10);
  for(int i=0;i<10000;++i) {
   myhist->Fill(myrand->Gaus(5,1));
  }
  myhist->Draw();
  rootapp->Run();
  return 0;
}
*/
#include "draw.h"

draw::draw(string _filename){
	filename=_filename;
	flag=0;
	//Input filename
}


int draw::setTextFile(string _a, string _b, string _c, string _d){
	flag++;
	a=_a;
	b=_b;
	c=_c;
	d=_d;
	return (flag);
}

int draw::setMaxMin(Float_t _a1,Float_t _a2,Float_t _b1,Float_t _b2,Float_t _c1,Float_t _c2,Float_t _d1,Float_t _d2){
	flag++;
	a1=_a1;
	b1=_b1;
	c1=_c1;
	d1=_d1;
	a2=_a2;
	b2=_b2;
	c2=_c2;
	d2=_d2;
	return (flag);
}

int draw::run(){

  if(flag<2) {
	cout << "Ranges are not set" << endl;
	return (-1);
	}

  TApplication* rootapp = new TApplication(filename.c_str(),0,0);
  TCanvas * canvas1 = new TCanvas("Graphics","Plots", 800, 600);

 // TCanvas can("clg","Cilindrical Light Guide", 800, 600);
 //  TCanvas can("clg","Cilindrical Light Guide", 800, 600);
 // can.Connect("Closed()", "TApplication", &theApp, "Terminate()");

  canvas1->Connect("Closed()", "TApplication", &rootapp, "Terminate()");
  canvas1->Divide(2,2);
  gStyle->SetPalette(1);
  TFile * file= new TFile(filename.c_str());
  cout << filename << endl;
  TNtuple * tnt= (TNtuple*)file->Get(filename.c_str());




  canvas1->cd(1);
  tnt->Draw("c:v",a.c_str(),"PL" );
  TLine *line = new TLine(a1,-100,a1,200);
  TLine *lineb = new TLine(a2,-100,a2,200);
  line->SetLineColor(kRed);
  lineb->SetLineColor(kRed);
  line->Draw();
  lineb->Draw();

  canvas1->cd(2);
  tnt->Draw("c:v",b.c_str(),"PL" );
  TLine *line2 = new TLine(b1,-100,b1,200);
  TLine *lineb2 = new TLine(b2,-100,b2,200);
  line2->SetLineColor(kRed);
  lineb2->SetLineColor(kRed);
  line2->Draw();
  lineb2->Draw();

  canvas1->cd(3);
  tnt->Draw("c:v",c.c_str(),"PL" );
  TLine *line3 = new TLine(c1,-100,c1,200);
  TLine *lineb3 = new TLine(c2,-100,c2,200);
  line3->SetLineColor(kRed);
  lineb3->SetLineColor(kRed);
  line3->Draw();
  lineb3->Draw();

  canvas1->cd(4);
  tnt->Draw("c:v",d.c_str(),"PL" );
  TLine *line4 = new TLine(d1,-100,d1,200);
  TLine *lineb4 = new TLine(d2,-100,d2,200);
  line4->SetLineColor(kRed);
  line4->Draw();
  lineb4->SetLineColor(kRed);
  lineb4->Draw();


//  TCanvas *c1 = new TCanvas("c1");
//  TH1F h("h","test",100,-4,4);
//  h.FillRandom("gaus",10000);
//  h->Draw();
//  Float_t ymax = h.GetMaximum();


/*
  TH1F* myhist = new TH1F("stats","",100,0,10);
  for(int i=0;i<10000;++i) {
   myhist->Fill(myrand->Gaus(5,1));
  }
  myhist->Draw();
  */
  rootapp->Run();
}

draw::~draw(){

}
