/* 
 * File:   hardware.cpp
 * Author: ne0
 * 
 * Created on June 11, 2009, 1:26 AM
 */

#include "hardware.h"

hardware::hardware() {
}

hardware::hardware(const hardware& orig) {
}

hardware::~hardware() {
}

void hardware::setVoltageSource(VoltageSource &_Voltage){
	Voltage=_Voltage;
}

Int_t hardware::getID(){
	return MyID;
}

void hardware::setID(Int_t i){
	MyID=i;
}

void hardware::setTemperature(HeatSource &_Temperature){
	Temperature=_Temperature;
}

void hardware::setNewTemp(Float_t f){
	Voltage.setOutput(f);
}

void hardware::connectSipm(sipm &_Sipm){
	Sipm=_Sipm;
}

void hardware::connectSensor(sensor &_Sensor){
	Sensor=_Sensor;
}

hardware::hardware(VoltageSource &_Voltage, HeatSource &_Temperature, sipm &_Sipm){
	Sipm=_Sipm;
	Temperature=_Temperature;
	Voltage=_Voltage;
	Sipm.setVsource(_Voltage);
	
}

Float_t hardware::getOutput(){return 0.0;}

Float_t hardware::getMeasureCurrent(){
	//return Sensor.getMeasure(Sipm.getMeasureCurrent());
	return 0;
}
Float_t hardware::getMeasureVoltage(){
	
	return Sensor.getMeasure(Voltage.getOutput());
}
Float_t hardware::getTemperature(){
	return Sensor.getMeasure(Temperature.getOutput());
}
