/* 
 * File:   pmt.cpp
 * Author: ne0/ac
 * 
 * Created on June 11, 2009, 1:31 AM
 */

#include "pmt.h"

PMT::PMT() {
}

PMT::~PMT() {
}
/*
    VoltageSource InputVoltage;
    TemperatureSource InputTemperature;
    Float_t Seed;
    Float_t DarkCurrent;
    Float_t Gain_db;
    Float_t MagneticAngle;
    Float_t MagneticMagnitude; 
    Float_t BreakdownVoltage;
*/

Float_t PMT::getMeasureCurrent(){
	Float_t vmin = BreakdownVoltage + (0.05 + Seed*0.05)*(BreakdownVoltage);
	Float_t vmax = BreakdownVoltage - (0.05 + Seed*0.05)*(BreakdownVoltage);
	Float_t imin = 0;
	Float_t imax = 60 + 10*Seed; 
	Float_t pendiente = (imax-imin)/(vmax-vmin);
	Float_t voltage = InputVoltage.getOutput();	
	return ((voltage*pendiente)-(vmin*pendiente));
}

Float_t PMT::getMeasureVoltage(){
	Float_t voltage = InputVoltage.getOutput();
	return (voltage);
}
