/* 
 * File:   dac.cpp
 * Author: ne0/ac
 * Clase Conversor Digital Analogo
 * Created on June 10, 2009, 6:17 PM
 */
#include "dac.h"

dac::dac() { nbits=12; max=1; min=0;}
dac::dac(Int_t _nbits, Float_t _max , Float_t _min){ nbits=_nbits; max=_max; min=_min;}
dac::~dac() {}
Float_t dac::Convert(Float_t _Input){
    Float_t quantum=(max-min)/(pow(2,nbits)-1); /* Division mas pequeña que puede entregar dado un rango y cantidad de bits*/
    Long_t  n=_Input/quantum;            	/* Cantidad de veces (entera) que quantum entra en el valor de entrada */
    return (Float_t)n*quantum;                  /* Valor discretizado */
}
//dac dac::operator=(original){
//	return original;
//}
