/**
 * \class draw
 *
 *
 * \author $Author: ne0/ac/sort $
 *
 * \version $Revision: 1.0 $
 *
 * \date $Date: $
 *
 * Contact: ealvarado@elo.utfsm.cl, spizarro@elo.utfsm.cl, gvalinm@elo.utfsm.cl
 *
 */

#ifndef _DRAW_H
#define	_DRAW_H

#include <TROOT.h> 
#include "TApplication.h"
#include <iostream>
#include <TRandom1.h>
#include <TH1F.h>
#include <TCanvas.h>
#include <TNtuple.h>
#include <TFile.h>
#include "TStyle.h"
#include "TLine.h"

using namespace std;

/**
 * \brief This class draws graphics. Outputs information to the final user
 */
class draw {
public:
	/**
	Constructor description!
	\param _filename File from which the information is read.
	*/
    draw(string _filename);
    /// Sets commands for ploting
    int setTextFile(string _a, string _b, string _c, string _d);
    /// Sets best limits
    int setMaxMin(Float_t _a1,Float_t _a2,Float_t _b1,Float_t _b2,Float_t _c1,Float_t _c2,Float_t _d1,Float_t _d2);
    /// Inits graphics
    int run();
    ~draw();

private:
	string filename;
	string textfilename;
	int flag;
	string a,b,c,d;
	Float_t a1,a2,b1,b2,c1,c2,d1,d2;

};

#endif	

