/* 
 * File:   heatsource.cpp
 * Author: ne0
 * Clase Fuete de Calor
 * Created on June 10, 2009, 3:54 PM
 */

#include "heatsource.h"

HeatSource::HeatSource() {
}

HeatSource::~HeatSource() {
}

HeatSource::HeatSource(Float_t _max, Float_t _min, Float_t _precision){
    Max=_max; Min=_min; Precision=_precision;
}

bool HeatSource::operator< (Float_t param) {
  return (getOutput()<param);
}

bool HeatSource::operator> (Float_t param) {
  return (getOutput()>param);
}

void HeatSource::setOutput(Float_t _Output) {
  Output=_Output;
}

Float_t HeatSource::getOutput(){
	TRandom *r0 = new TRandom();
	Float_t x = r0->Gaus(0,1);
	delete r0;	
	//return 6.9;
	//return Min*(x+1.0);
	return Output;

}

