/**
 * \class meter
 *
 * This class draws graphics. Outputs information to the final user
 *
 * \author $Author: ne0/ac/akis $
 *
 * \version $Revision: 1.0 $
 *
 * \date $Date: $
 *
 * Contact: ealvarado@elo.utfsm.cl, spizarro@elo.utfsm.cl, gvalinm@elo.utfsm.cl
 *
 */
#define Int_t int
#define Float_t float
#ifndef _METER_H
#define	_METER_H
/**
 * \brief This class allows to generate errors caused by the limitations of each sensor.
 */
class meter {
public:
		///void Class constructor.
    meter();
		///Class constructor associates percental error to the measurement.
    meter(Float_t _error);
		///Class destructor.
    virtual ~meter();
		///Asks the class to return the measure plus a random error.
    Float_t getMeasure(Float_t Input);
private:
    Float_t error; /// Used as reference to get a measurement.
};

#endif	/* _METER_H */

