/* 
 * File:   ntuplegenerator.cpp
 * Author: ne0
 * 
 * Created on June 11, 2009, 1:28 AM
 */

#include "ntuplegenerator.h"


ntuplegenerator::ntuplegenerator() { 
	filename = "default.ntuple"; 
	//std::cout << "please use custom name" << endl ;
	file= new TFile(filename.c_str(),"RECREATE");
	ntuple = new TNtuple(filename.c_str(),filename.c_str(),"s:t:v:c");
}

ntuplegenerator::ntuplegenerator(string name) { 
	filename = name ;
	file= new TFile(filename.c_str(),"UPDATE");
	ntuple = new TNtuple(filename.c_str(),filename.c_str(),"s:t:v:c"); 
}

void ntuplegenerator::fill(Int_t sipmid, Float_t temp, Float_t voltage, Float_t current){
	Float_t st=(Float_t)sipmid;
	ntuple->Fill(st,temp,voltage,current);
}

void ntuplegenerator::writefile(){
	ntuple->Write();
}

void ntuplegenerator::showfile(){
	ntuple->Print();
	//ntuple->Show();
	ntuple->Scan("s:t:v:c");
}

void ntuplegenerator::drawfile(Int_t sipmid, Float_t temp){
	Float_t st=(Float_t)sipmid;
	ntuple->Draw("s=st","t=temp");
}

ntuplegenerator::~ntuplegenerator() {
	delete ntuple;
	delete file;
}

